## org.hibernate.util
Class JTAHelper

    java.lang.Object
      org.hibernate.util.JTAHelper

    public final class JTAHelper

extends Object

Author:
  Gavin King

Method Summary
`static boolean` `isInProgress(int status)`
`static boolean` `isMarkedForRollback(int status)`
`static boolean` `isMarkedForRollback(Transaction tx)`
`static boolean` `isRollback(int status)`
`static boolean` `isTransactionInProgress(SessionFactoryImplementor factory)` Return true if a JTA transaction is in progress and false in *every* other cases (including in a JDBC transaction).
`static boolean` `isTransactionInProgress(Transaction tx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isRollback

    public static boolean isRollback(int status)

### isInProgress

    public static boolean isInProgress(int status)

### isTransactionInProgress

    public static boolean isTransactionInProgress(SessionFactoryImplementor factory)

  Return true if a JTA transaction is in progress and false in *every* other cases (including in a JDBC transaction).

### isTransactionInProgress

    public static boolean isTransactionInProgress(Transaction tx)
                                           throws SystemException

  Throws:
    `SystemException`

### isMarkedForRollback

    public static boolean isMarkedForRollback(int status)

### isMarkedForRollback

    public static boolean isMarkedForRollback(Transaction tx)
                                       throws SystemException

  Throws:
    `SystemException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.